#! /bin/bash -xue

export F_UFMTENDIAN=big

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

cat > export_swf.mcr << 'EOF'
#!MC 1200
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = FLASH
$!ANIMATETIME CREATEMOVIEFILE = YES
EOF

trap "cat run_tutorial.out" EXIT

cp n0012_i153.flow_2000_step_start n0012_i153.flow

mpirun -np 12 nodet_mpi \
  > run_tutorial.out

trap - EXIT

tec360 -quiet -b -p export_png.mcr \
  -y mesh.png \
     mesh.lay

tec360 -quiet -b -p export_png.mcr \
  -y mesh_closeup.png \
     mesh_closeup.lay

tec360 -quiet -b -p export_png.mcr \
  -y u_animation.png \
     u_animation.lay

tec360 -quiet -b -p export_swf.mcr \
  -y u_animation.swf \
     u_animation.lay

tec360 -quiet -b -p export_png.mcr \
  -y vort_animation.png \
     vort_animation.lay

tec360 -quiet -b -p export_swf.mcr \
  -y vort_animation.swf \
     vort_animation.lay

tec360 -quiet -b -p export_png.mcr \
  -y sub_history.png \
     sub_history.lay

tec360 -quiet -b -p export_png.mcr \
  -y sub_force_history.png \
     sub_force_history.lay

tec360 -quiet -b -p export_png.mcr \
  -y time_history.png \
     time_history.lay
